Bug 175439 - [FC4 Regression]: spamc doesn't use localhost by default
[FC4 Regression]: spamc doesn't use localhost by default
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-10 12:07 EST by H.J. Lu
Modified: 2007-11-30 17:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-17 13:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A testcase (781 bytes, application/octet-stream)
2005-12-11 10:06 EST, H.J. Lu
no flags Details

  None (edit)
Description H.J. Lu 2005-12-10 12:07:25 EST
I have

:0fw
| /usr/bin/spamc

in /etc/procmailrc. It worked with FC3. But after upgrading to FC4, I got

Dec 10 08:38:45 ocean spamd[27833]: unauthorized connection from
gate.in.lucon.org [192.168.10.1] at port 32823

My machine has

eth0      Link encap:Ethernet  HWaddr 00:07:E9:9C:3E:3E
          inet addr:192.168.10.1  Bcast:192.168.10.255  Mask:255.255.255.0
          inet6 addr: fe80::207:e9ff:fe9c:3e3e/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:5662 errors:0 dropped:0 overruns:0 frame:0
          TX packets:5908 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:1160392 (1.1 MiB)  TX bytes:2571450 (2.4 MiB)

It looks like spamc is connecting to 192.168.10.1 instead of 127.0.0.1.
Comment 1 Warren Togami 2005-12-10 20:56:58 EST
I have no idea what may have changed here.
Comment 2 hjl 2005-12-10 22:00:15 EST
I am using procmail + postfix. It used to work in FC3. If I run spamc by hand,
it connects to localhost. But when it runs from procmail, spamc connects to
eth0.
Comment 3 H.J. Lu 2005-12-11 10:06:11 EST
Created attachment 122109 [details]
A testcase

It looks a kernel bug. When spamc connects to 127.0.0.1, accepts returns
with client from eth0:

bash-3.00$ make
gcc -g	  foo.c   -o foo
./foo &
/usr/bin/spamc -d 127.0.0.1 -p 10000 < Makefile > /dev/null
client: 192.168.10.1
killall foo
ifconfig
eth0	  Link encap:Ethernet  HWaddr 00:07:E9:9C:3E:3E
	  inet addr:192.168.10.1  Bcast:192.168.10.255	Mask:255.255.255.0
	  inet6 addr: fe80::207:e9ff:fe9c:3e3e/64 Scope:Link
	  UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
	  RX packets:66945 errors:0 dropped:0 overruns:0 frame:0
	  TX packets:67008 errors:0 dropped:0 overruns:0 carrier:0
	  collisions:0 txqueuelen:1000
	  RX bytes:11665750 (11.1 MiB)	TX bytes:26087513 (24.8 MiB)

eth1	  Link encap:Ethernet  HWaddr 00:90:27:35:B5:EC
	  inet6 addr: fe80::290:27ff:fe35:b5ec/64 Scope:Link
	  UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
	  RX packets:309349 errors:0 dropped:0 overruns:0 frame:0
	  TX packets:226676 errors:0 dropped:0 overruns:0 carrier:0
	  collisions:0 txqueuelen:1000
	  RX bytes:286360587 (273.0 MiB)  TX bytes:29126030 (27.7 MiB)

lo	  Link encap:Local Loopback
	  inet addr:127.0.0.1  Mask:255.0.0.0
	  inet6 addr: ::1/128 Scope:Host
	  UP LOOPBACK RUNNING  MTU:16436  Metric:1
	  RX packets:178744 errors:0 dropped:0 overruns:0 frame:0
	  TX packets:178744 errors:0 dropped:0 overruns:0 carrier:0
	  collisions:0 txqueuelen:0
	  RX bytes:15843278 (15.1 MiB)	TX bytes:15843278 (15.1 MiB)

ppp0	  Link encap:Point-to-Point Protocol
	  inet addr:69.232.217.9  P-t-P:151.164.184.68	Mask:255.255.255.255
	  UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1492  Metric:1
	  RX packets:303933 errors:0 dropped:0 overruns:0 frame:0
	  TX packets:221223 errors:0 dropped:0 overruns:0 carrier:0
	  collisions:0 txqueuelen:3
	  RX bytes:279349032 (266.4 MiB)  TX bytes:24095241 (22.9 MiB)

I am running PPP over ethernet. eth1 doesn't have an IP address. kernel
gets confused and return eth0 instead of lo.
Comment 4 H.J. Lu 2005-12-11 10:54:44 EST
When I shutdown eth0, I got

bash-3.00$ make
./foo &
/usr/bin/spamc -d 127.0.0.1 -p 10000 < Makefile > /dev/null
client: 69.232.217.9
killall foo
ifconfig
eth1      Link encap:Ethernet  HWaddr 00:90:27:35:B5:EC
          inet6 addr: fe80::290:27ff:fe35:b5ec/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:324041 errors:0 dropped:0 overruns:0 frame:0
          TX packets:239806 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:295465118 (281.7 MiB)  TX bytes:31211853 (29.7 MiB)

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:185421 errors:0 dropped:0 overruns:0 frame:0
          TX packets:185421 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:16406197 (15.6 MiB)  TX bytes:16406197 (15.6 MiB)

ppp0      Link encap:Point-to-Point Protocol
          inet addr:69.232.217.9  P-t-P:151.164.184.68  Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1492  Metric:1
          RX packets:318477 errors:0 dropped:0 overruns:0 frame:0
          TX packets:234204 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3
          RX bytes:288124715 (274.7 MiB)  TX bytes:25891012 (24.6 MiB)
Comment 5 Warren Togami 2005-12-11 10:56:32 EST
Curious, can you re-test this after disabling ipv6?  Same behavior?

Try adding "alias net-pf-10 off" to /etc/modprobe.conf and reboot.  You can
easily remove it later to enable ipv6 again.
Comment 6 H.J. Lu 2005-12-11 12:38:18 EST
That machine is the gateway of my network. I will try to avoid reboot or
shutdown PPPOE. I will see if I can reproduce it on a different machine
with 2 NICs.
Comment 7 H.J. Lu 2005-12-12 18:31:27 EST
I don't think ipv6 is an issue. On a different machine, I got

[hjl@gnu-d server]$ make
./foo &
/usr/bin/spamc -d 127.0.0.1 -p 10000 < Makefile > /dev/null
client: 127.0.0.1
killall foo
ifconfig
eth0      Link encap:Ethernet  HWaddr 00:09:6B:11:72:96
          inet addr:10.3.194.93  Bcast:10.3.194.255  Mask:255.255.255.0
          inet6 addr: fe80::209:6bff:fe11:7296/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:511 errors:0 dropped:0 overruns:0 frame:0
          TX packets:335 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:108744 (106.1 KiB)  TX bytes:45519 (44.4 KiB)
          Base address:0x2080 Memory:c0120000-c0140000

eth1      Link encap:Ethernet  HWaddr 00:00:F8:07:BF:42
          inet6 addr: fe80::200:f8ff:fe07:bf42/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:176 dropped:0 overruns:0 frame:0
          TX packets:0 errors:5 dropped:0 overruns:0 carrier:15
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:11

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:128 errors:0 dropped:0 overruns:0 frame:0
          TX packets:128 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:13417 (13.1 KiB)  TX bytes:13417 (13.1 KiB)

The main difference is that my gateway has PPPOE.
Comment 8 H.J. Lu 2005-12-13 09:28:07 EST
I shutdown PPPOE and eth1. It doesn't make a difference. But there is already
traffic on eth1:

bash-3.00$ make
./foo &
/usr/bin/spamc -d 127.0.0.1 -p 10000 < Makefile > /dev/null
client: 192.168.10.1
killall foo
ifconfig
eth0      Link encap:Ethernet  HWaddr 00:07:E9:9C:3E:3E
          inet addr:192.168.10.1  Bcast:192.168.10.255  Mask:255.255.255.0
          inet6 addr: fe80::207:e9ff:fe9c:3e3e/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:469345 errors:0 dropped:0 overruns:0 frame:0
          TX packets:520096 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:72143806 (68.8 MiB)  TX bytes:133982213 (127.7 MiB)

eth1      Link encap:Ethernet  HWaddr 00:90:27:35:B5:EC
          inet6 addr: fe80::290:27ff:fe35:b5ec/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:883054 errors:0 dropped:0 overruns:0 frame:0
          TX packets:750520 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:434001016 (413.8 MiB)  TX bytes:109554801 (104.4 MiB)

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:472025 errors:0 dropped:0 overruns:0 frame:0
          TX packets:472025 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:44686944 (42.6 MiB)  TX bytes:44686944 (42.6 MiB)

bash-3.00$ make
./foo &
/usr/bin/spamc -d 127.0.0.1 -p 10000 < Makefile > /dev/null
client: 192.168.10.1
killall foo
ifconfig
eth0      Link encap:Ethernet  HWaddr 00:07:E9:9C:3E:3E
          inet addr:192.168.10.1  Bcast:192.168.10.255  Mask:255.255.255.0
          inet6 addr: fe80::207:e9ff:fe9c:3e3e/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:469345 errors:0 dropped:0 overruns:0 frame:0
          TX packets:520096 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:72143806 (68.8 MiB)  TX bytes:133982213 (127.7 MiB)

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:472031 errors:0 dropped:0 overruns:0 frame:0
          TX packets:472031 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:44687313 (42.6 MiB)  TX bytes:44687313 (42.6 MiB)
Comment 9 H.J. Lu 2005-12-19 01:42:02 EST
I tried "alias net-pf-10 off" in /etc/modprobe.conf. I still got

bash-3.00$ make
./foo &
/usr/bin/spamc -d 127.0.0.1 -p 10000 < Makefile > /dev/null
client: 192.168.10.1
killall foo
ifconfig
eth0      Link encap:Ethernet  HWaddr 00:07:E9:9C:3E:3E
          inet addr:192.168.10.1  Bcast:192.168.10.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:9 errors:0 dropped:0 overruns:0 frame:0
          TX packets:47 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:764 (764.0 b)  TX bytes:5471 (5.3 KiB)

eth1      Link encap:Ethernet  HWaddr 00:90:27:35:B5:EC
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:296 errors:0 dropped:0 overruns:0 frame:0
          TX packets:322 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:55490 (54.1 KiB)  TX bytes:31759 (31.0 KiB)

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:609 errors:0 dropped:0 overruns:0 frame:0
          TX packets:609 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:55805 (54.4 KiB)  TX bytes:55805 (54.4 KiB)

ppp0      Link encap:Point-to-Point Protocol
          inet addr:69.232.211.43  P-t-P:151.164.184.68  Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1492  Metric:1
          RX packets:271 errors:0 dropped:0 overruns:0 frame:0
          TX packets:298 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3
          RX bytes:47959 (46.8 KiB)  TX bytes:24406 (23.8 KiB)

bash-3.00$
Comment 10 Dave Jones 2006-02-03 00:46:01 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 11 Dave Jones 2006-09-16 22:38:43 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 12 Dave Jones 2006-10-16 14:47:08 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.